Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.pipeline
Class ExecutePageValve

    java.lang.Object
      org.apache.turbine.pipeline.AbstractValve
          org.apache.turbine.pipeline.ExecutePageValve

All Implemented Interfaces:
  Valve

    public class ExecutePageValve

extends AbstractValve

Implements the Page Generation portion of the "Turbine classic" processing pipeline (from the Turbine 2.x series).

Version:
  $Id: ExecutePageValve.java 757213 2009-03-22 16:43:31Z tv $
Author:
  Eric Pugh, Peter Courcoux

Constructor Summary
`ExecutePageValve()` Creates a new instance.

Method Summary
`protected void` | `executePage(PipelineData pipelineData)` execute the page generation.
`void` | `initialize()` Initialize this valve for use in a pipeline.
`void` | `invoke(PipelineData pipelineData, ValveContext context)` Perform request processing as required by this Valve.

Methods inherited from class org.apache.turbine.pipeline.AbstractValve
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutePageValve

    public ExecutePageValve()

  Creates a new instance.

Method Detail

### initialize

    public void initialize()
                    throws Exception

  Initialize this valve for use in a pipeline.

  Specified by:
    `initialize` in interface `Valve`
  Overrides:
    `initialize` in class `AbstractValve`
  Throws:
    `Exception`
  See Also:
    `AbstractValve.initialize()`

### invoke

    public void invoke(PipelineData pipelineData,
                       ValveContext context)
                throws IOException,
                       TurbineException

  Description copied from interface: `Valve`

  Perform request processing as required by this Valve.

  An individual Valve MAY perform the following actions, in the specified order:

  - Examine and/or modify the properties of the specified Request and Response.
  - Examine the properties of the specified Request, completely generate the corresponding Response, and return control to the caller.
  - Examine the properties of the specified Request and Response, wrap either or both of these objects to supplement their functionality, and pass them on.
  - If the corresponding Response was not generated (and control was not returned, call the next Valve in the pipeline (if there is one) by executing `context.invokeNext()`.
  - Examine, but not modify, the properties of the resulting Response (which was created by a subsequently invoked Valve via a call to `context.invokeNext()`).

  A Valve MUST NOT do any of the following things:

  - Change request properties that have already been used to direct the flow of processing control for this request.
  - Create a completed Response AND pass this Request and Response on to the next Valve in the pipeline.
  - Consume bytes from the input stream associated with the Request, unless it is completely generating the response, or wrapping the request before passing it on.
  - Modify the HTTP headers included with the Response after the `invokeNext()` method has returned.
  - Perform any actions on the output stream associated with the specified Response after the `invokeNext()` method has returned.

  Specified by:
    `invoke` in interface `Valve`
  Specified by:
    `invoke` in class `AbstractValve`
  Parameters:
    `pipelineData` - The run-time information, including the servlet request and response we are processing.
    `context` - The valve context used to invoke the next valve in the current processing pipeline
  Throws:
    `IOException` - Thrown by a subsequent Valve.
    `TurbineException` - Thrown by a subsequent Valve.
  See Also:
    `org.apache.turbine.Valve#invoke(RunData, ValveContext)`

### executePage

    protected void executePage(PipelineData pipelineData)
                        throws Exception

  execute the page generation.

  Parameters:
    `data` - The run-time data.
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.